import Swal from "sweetalert2";
export default {
  install: (app) => {
    // Swal
    const showLoading = () => {
      Swal.fire({
        allowOutsideClick: false,
        didOpen: () => {
          Swal.showLoading();
        },
      });
    };
    const hideLoading = () => {
      Swal.close();
    };

    app.provide("tools", {
      Swal,
      showLoading,
      hideLoading,
    });
  },
};
